Index: c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -1,2 +1,9 @@
+2001-06-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2000-06-08	Eric Valette <valette@crf.canon.fr>
 
Index: c/src/lib/libbsp/powerpc/mbx8xx/configure.in
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/configure.in	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/mbx8xx/configure.in	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -23,5 +23,7 @@
 RTEMS_CANONICAL_HOST
 
+
 RTEMS_PROJECT_ROOT
+AM_CONFIG_HEADER(include/bspopts.h)
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
Index: c/src/lib/libbsp/powerpc/mbx8xx/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/include/.cvsignore	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/mbx8xx/include/.cvsignore	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/powerpc/mbx8xx/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/include/Makefile.am	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/mbx8xx/include/Makefile.am	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -5,7 +5,8 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h
+include_bspdir = $(includedir)/bsp
 
-BSP_H_FILES = mbx.h commproc.h 8xx_immap.h
+include_HEADERS = bsp.h coverhd.h bspopts.h
+include_bsp_HEADERS = mbx.h commproc.h 8xx_immap.h
 
 $(PROJECT_INCLUDE):
@@ -15,23 +16,13 @@
 	$(mkinstalldirs) $@
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/bsp/mbx.h : mbx.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/bsp/commproc.h : commproc.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/bsp/8xx_immap.h : 8xx_immap.h
+$(PROJECT_INCLUDE)/bsp/%.h : %.h
 	$(INSTALL_DATA) $< $@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp \
-	$(PROJECT_INCLUDE)/bsp.h \
-	$(PROJECT_INCLUDE)/coverhd.h $(PROJECT_INCLUDE)/bsp/mbx.h \
-	$(PROJECT_INCLUDE)/bsp/commproc.h $(PROJECT_INCLUDE)/bsp/8xx_immap.h
+	$(include_HEADERS:%=$(PROJECT_INCLUDE)/%) \
+	$(include_bsp_HEADERS:%=$(PROJECT_INCLUDE)/bsp/%)
 
 all-local: $(PREINSTALL_FILES)
Index: c/src/lib/libbsp/powerpc/mbx8xx/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/include/bsp.h	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/mbx8xx/include/bsp.h	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -22,4 +22,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 #include <rtems.h>
Index: c/src/lib/libbsp/powerpc/mbx8xx/irq/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/irq/Makefile.am	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/mbx8xx/irq/Makefile.am	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -8,5 +8,6 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = irq.h
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS = irq.h
 
 S_FILES = irq_asm.S
@@ -19,6 +20,10 @@
 include $(top_srcdir)/../../../../../../automake/lib.am
 
+#HACK: WTF is this?
 SORDID_HACK:
 	rm -f $(PROJECT_INCLUDE)/bsp/irq.h
+
+$(PROJECT_INCLUDE):
+	$(mkinstalldirs) $@
 
 $(PROJECT_INCLUDE)/bsp:
@@ -29,5 +34,5 @@
 
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp \
-    $(H_FILES:%.h=$(PROJECT_INCLUDE)/bsp/%.h)
+    $(include_bsp_HEADERS:%=$(PROJECT_INCLUDE)/bsp/%)
 
 #
@@ -42,5 +47,5 @@
 all-local: SORDID_HACK $(PREINSTALL_FILES) $(ARCH) $(OBJS) $(PGM)
 
-EXTRA_DIST = irq.c irq.h irq_asm.S irq_init.c
+EXTRA_DIST = irq.c irq_asm.S irq_init.c
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/mbx8xx/vectors/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/vectors/Makefile.am	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/mbx8xx/vectors/Makefile.am	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -10,5 +10,6 @@
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
-H_FILES = vectors.h
+include_bspdir = $(includedir)/bsp
+include_bsp_HEADERS = vectors.h
 
 S_FILES = vectors.S
@@ -28,11 +29,13 @@
 	$(make-rel)
 
+$(PROJECT_INCLUDE):
+	$(mkinstalldirs) $@
 $(PROJECT_INCLUDE)/bsp:
 	$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/bsp/vectors.h: vectors.h
+$(PROJECT_INCLUDE)/bsp/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp $(PROJECT_INCLUDE)/bsp/vectors.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp \
+    $(include_bsp_HEADERS:%=$(PROJECT_INCLUDE)/bsp/%)
 
 all-local: $(ARCH) $(PREINSTALL_FILES) $(OBJS)
Index: c/src/lib/libbsp/powerpc/score603e/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/ChangeLog	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/score603e/ChangeLog	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -1,2 +1,9 @@
+2001-06-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.in: Add bspopts.h.
+	* include/.cvsignore: Add bspopts.h*, stamp-h*.
+	* include/Makefile.am: Use *_HEADERS instead of *H_FILES.
+	* include/bsp.h: Include bspopts.h.
+
 2001-05-10	Ralf Corsepius	<corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/powerpc/score603e/configure.in
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/configure.in	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/score603e/configure.in	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -20,4 +20,11 @@
 RTEMS_CANONICAL_HOST
 
+## bsp-specific options
+CONSOLE_USE_INTERRUPTS=${CONSOLE_USE_INTERRUPTS-0}
+AC_DEFINE_UNQUOTED([CONSOLE_USE_INTERRUPTS],
+  [$CONSOLE_USE_INTERRUPTS],
+  [whether using console interrupts])
+
+AM_CONFIG_HEADER(include/bspopts.h)
 RTEMS_PROJECT_ROOT
 
Index: c/src/lib/libbsp/powerpc/score603e/include/.cvsignore
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/include/.cvsignore	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/score603e/include/.cvsignore	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -1,2 +1,6 @@
 Makefile
 Makefile.in
+bspopts.h
+bspopts.h.in
+stamp-h
+stamp-h.in
Index: c/src/lib/libbsp/powerpc/score603e/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/include/Makefile.am	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/score603e/include/Makefile.am	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -5,29 +5,16 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-H_FILES = bsp.h coverhd.h gen1.h gen2.h tod.h
+include_HEADERS = bsp.h coverhd.h gen1.h gen2.h tod.h bspopts.h
 
-$(PROJECT_INCLUDE)/bsp.h: bsp.h
+$(PROJECT_INCLUDE):
+	$(mkinstalldirs) $@
+
+$(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
 
-$(PROJECT_INCLUDE)/coverhd.h: coverhd.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/gen1.h: gen1.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/gen2.h: gen2.h
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_INCLUDE)/tod.h: tod.h
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/bsp.h \
-    $(PROJECT_INCLUDE)/coverhd.h \
-    $(PROJECT_INCLUDE)/gen1.h $(PROJECT_INCLUDE)/gen2.h \
-    $(PROJECT_INCLUDE)/tod.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) \
+    $(include_HEADERS:%=$(PROJECT_INCLUDE)/%)
 
 all-local: $(TMPINSTALL_FILES)
 
-EXTRA_DIST = bsp.h chain.h coverhd.h gen1.h gen2.h tod.h
-
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/powerpc/score603e/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/include/bsp.h	(revision 2afd32b7d73fd6fdd4edcd19714619004cfb9ffa)
+++ c/src/lib/libbsp/powerpc/score603e/include/bsp.h	(revision d4f9cef5402556a804ae4b37eb45b389e3b08318)
@@ -20,4 +20,6 @@
 extern "C" {
 #endif
+
+#include <bspopts.h>
 
 /*
